## List Web Analytics sites `client.rum.siteInfo.list(SiteInfoListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/rum/site_info/list` Lists all Web Analytics sites of an account. ### Parameters - `params: SiteInfoListParams` - `account_id: string` Path param: Identifier. - `order_by?: "host" | "created"` Query param: The property used to sort the list of results. - `"host"` - `"created"` - `page?: number` Query param: Current page within the paginated list of results. - `per_page?: number` Query param: Number of items to return per page of results. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const site of client.rum.siteInfo.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(site.auto_install); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } ], "result_info": { "count": 10, "page": 1, "per_page": 10, "total_count": 25, "total_pages": 3 } } ```